org.eclipse.viatra.addon.validation.runtime

## Class ValidationUtil

- java.lang.Object
- - org.eclipse.viatra.addon.validation.runtime.ValidationUtil

-     public final class ValidationUtil
      extends java.lang.Object

- - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static void` | `addConstraintAdapter(org.eclipse.ui.IEditorPart editorPart, ConstraintAdapter adapter)`
    `static void` | `addNotifier(org.eclipse.ui.IEditorPart editorPart, org.eclipse.emf.common.notify.Notifier notifier)`
    `static java.util.Map<org.eclipse.ui.IEditorPart,ConstraintAdapter>` | `getAdapterMap()`
    `static boolean` | `isConstraintsRegisteredForEditorId(java.lang.String editorId)` Returns whether there are constraint specifications registered for an editor Id.
    `static void` | `registerEditorPart(org.eclipse.ui.IEditorPart editorPart)`
    `static void` | `unregisterEditorPart(org.eclipse.ui.IEditorPart editorPart)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### getAdapterMap

          public static java.util.Map<org.eclipse.ui.IEditorPart,ConstraintAdapter> getAdapterMap()

    - #### addNotifier

          public static void addNotifier(org.eclipse.ui.IEditorPart editorPart,
                                         org.eclipse.emf.common.notify.Notifier notifier)

    - #### addConstraintAdapter

          public static void addConstraintAdapter(org.eclipse.ui.IEditorPart editorPart,
                                                  ConstraintAdapter adapter)

      Since:
        2.1

    - #### registerEditorPart

          public static void registerEditorPart(org.eclipse.ui.IEditorPart editorPart)

    - #### unregisterEditorPart

          public static void unregisterEditorPart(org.eclipse.ui.IEditorPart editorPart)

    - #### isConstraintsRegisteredForEditorId

          public static boolean isConstraintsRegisteredForEditorId(java.lang.String editorId)

      Returns whether there are constraint specifications registered for an editor Id.
      Parameters:
        `editorId` - The editor Id which should be checked
      Returns:
        `true` if there are registered constraint specifications